package edu.columbia.cs.irt.rfidentify.core;

import java.io.BufferedInputStream;
import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStream;
import java.util.Properties;

/**
 * Class reads properties from text file
 * @author "Blake Arnold"
 *
 */
public class PropertyLoader {
	/**
	 * Initializer, looks in base_directory/properties
	 * @param propFileName file name
	 * @return properties
	 * @throws IOException exception reading propFileName
	 */
	public static Properties loadProps(String propFileName) throws IOException {
		Properties props = new Properties();
		File f = new File(System.getProperty("user.dir") + File.separator + "properties"
				+ File.separator + propFileName);

		InputStream is = new BufferedInputStream(new FileInputStream(f));
		props.load(is);
		is.close();
		return props;

	}
}
