package edu.columbia.cs.irt.rfidentify.dbhandler;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import java.util.HashMap;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * Class for accessing the database
 * 
 * @author "Blake Arnold"
 * 
 */
public class DBAccess {

	private Logger logger = LoggerFactory.getLogger(DBAccess.class);

	private HashMap<String, String> tagName;
	private Connection conn;

	public DBAccess(Connection conn) {
		tagName = new HashMap<String, String>();
		this.conn = conn;
	}

	public String getName(String idTag) {
		return tagName.get(idTag);
	}

	public void addName(String tag, String name) throws SQLException {
		tag = tag.trim();
		name = name.trim();
		tagName.put(tag, name);
		Statement stat = conn.createStatement();
		stat.execute("delete from people where tag = \'" + tag + "\';");
		stat.close();

		PreparedStatement prep = conn
				.prepareStatement("insert into people values (?, ?);");

		prep.setString(1, tag);
		prep.setString(2, name);
		prep.execute();
	}

	public void loadData() throws SQLException {
		Statement stat = conn.createStatement();
		ResultSet rs = stat.executeQuery("select * from people;");
		while (rs.next()) {
			String tag = rs.getString("tag");
			String name = rs.getString("name");
			if (tagName.containsKey(tag)) {
				logger.error("Duplicat entry for tag " + tag + ":" + "name: "
						+ tagName.get(tag) + " using new name: " + name);
			}

			tagName.put(rs.getString("tag"), rs.getString("name"));
			logger.error("DB Load: tag: " + tag + ":" + " name: " + name);
		}
		rs.close();
	}

}
