package edu.columbia.cs.irt.rfidentify.dbhandler;

import java.sql.*;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * Loads data into database
 * @author "Blake Arnold"
 *
 */
public class DBInitializer{
	private static Logger logger = LoggerFactory.getLogger(DBInitializer.class);
	public DBInitializer(){
		
	}
	public static void load(String name) throws ClassNotFoundException, SQLException{
		Class.forName("org.sqlite.JDBC");
	    Connection conn = DriverManager.getConnection(name);
	    Statement stat = conn.createStatement();
	    stat.executeUpdate("drop table if exists people;");
	    stat.executeUpdate("create table people (tag, name);");
	    PreparedStatement prep = conn.prepareStatement(
	      "insert into people values (?, ?);");
	
	    prep.setString(1, "51C79B24000007E0");
	    prep.setString(2, "Dan York");
	    prep.addBatch();
	    prep.setString(1, "09C29B24000007E0");
	    prep.setString(2, "Keith Prage");
	    prep.addBatch();
	    prep.setString(1, "5AC59B24000007E0");
	    prep.setString(2, "Martin Thomson");
	    prep.addBatch();

	    
	
	    conn.setAutoCommit(false);
	    prep.executeBatch();
	    conn.setAutoCommit(true);
	
	    ResultSet rs = stat.executeQuery("select * from people;");
	    while (rs.next()) {
	      logger.info("tag number = " + rs.getString("tag"));
	      logger.info("name = " + rs.getString("name"));
	    }
	    rs.close();
	    conn.close();
	}
	


}
