package edu.columbia.cs.irt.rfidentify.display;

import java.util.ArrayList;
import java.util.Observable;
import java.util.Observer;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import edu.columbia.cs.irt.rfidentify.presence.Presence;
import edu.columbia.cs.irt.rfidentify.presence.PresenceTalk;
import edu.columbia.cs.irt.rfidentify.presence.SIPException;
import edu.columbia.cs.irt.rfidentify.presence.SipLayer;


/**
 * Interface for textMarks
 * @author Blake Arnold
 *
 */
public class SimplePresenceHandler implements Observer, Runnable{
	
	private String request;
	private Logger logger = LoggerFactory.getLogger(SimplePresenceHandler.class);
	private Presence presence;
	private SipLayer sipLayer;
	private String location;
	
	public SimplePresenceHandler(SipLayer sipLayer, Presence presence, String location) {
		this.sipLayer = sipLayer;
		this.presence = presence;
		this.location = location;
	}
	
	/**
	 * New thread is spawned to send as it is blocking.
	 */
	@Override
	public void run() {
		this.sendPresence(request);
		
	}
	
	public void sendPresence(String user)	{
		PresenceTalk presenceTalk = new PresenceTalk ("New Speaker", 
														"A new speaker is presenting", 
														location, 
														"Presentation",
														"0000",
														"0000");
		ArrayList<PresenceTalk> presenceList= new ArrayList<PresenceTalk>();
		presenceList.add(presenceTalk);
		try {
			presence.sendMessage(request, presenceList);
		} catch (SIPException e) {
			logger.error("Could not send  Presence message", e);
		}
	}
	@Override
	public void update(Observable o, Object req) {
		request = (String) req;
		Thread thread = new Thread(this);
        thread.start();
			
		
	}
	


}
